/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class MessageBox
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Common";
        public override string UIResName => "MessageBox";

        [AutoFind(Name = "back")]
        public GImage back;
        [AutoFind(Name = "TextTitle")]
        public GTextField TextTitle;
        [AutoFind(Name = "BtnConfirm")]
        public GButton BtnConfirm;
        [AutoFind(Name = "BtnClose")]
        public GButton BtnClose;
        [AutoFind(Name = "t0")]
        public Transition t0;
        public override string[] GetDependPackages(){ return new string[] {}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<MessageBox>(param); }

        public static void Hide(){ UI.Inst.HideUI<MessageBox>(); }

        public static void Del(){ UI.Inst.DestroyUI<MessageBox>(); }

    }
}